[med-svn] [python-biomaj3] 06/07: fix config and add purge management

Olivier Sallou osallou at debian.org
Sat Jan 14 13:41:48 UTC 2017


This is an automated email from the git hooks/post-receive script.

osallou pushed a commit to branch master
in repository python-biomaj3.

commit d522a9f2dee648bb226d9f9d692f08bfde9f1825
Author: Olivier Sallou <osallou at debian.org>
Date:   Sat Jan 14 12:32:23 2017 +0000

    fix config and add purge management
---
 debian/copyright              |  2 +-
 debian/global.properties-py   |  2 +-
 debian/global.properties-py3  |  2 +-
 debian/python-biomaj3.postrm  | 32 ++++++++++++++++++++++++++++++++
 debian/python3-biomaj3.postrm | 32 ++++++++++++++++++++++++++++++++
 5 files changed, 67 insertions(+), 3 deletions(-)

diff --git a/debian/copyright b/debian/copyright
index d7964b0..f8f286b 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -4,7 +4,7 @@ Source: https://github.com/genouest/biomaj
 
 Files: *
 Copyright: 2015-2016 Olivier Sallou <olivier.sallou at irisa.fr>, IRISA
-License: Affero-GPL 3
+License: Affero-GPL-3
  GNU AFFERO GENERAL PUBLIC LICENSE
                        Version 3, 19 November 2007
  .
diff --git a/debian/global.properties-py b/debian/global.properties-py
index a5822bb..2f1c309 100644
--- a/debian/global.properties-py
+++ b/debian/global.properties-py
@@ -44,7 +44,7 @@ celery.broker=
 #---------------
 #Uncomment thes lines if you want receive mail when the workflow is finished
 
-mail.smtp.host=
+mail.smtp.host=localhost
 mail.admin=
 mail.from=biomaj at localhost
 mail.user=
diff --git a/debian/global.properties-py3 b/debian/global.properties-py3
index 33f7731..437b0ea 100644
--- a/debian/global.properties-py3
+++ b/debian/global.properties-py3
@@ -44,7 +44,7 @@ celery.broker=
 #---------------
 #Uncomment thes lines if you want receive mail when the workflow is finished
 
-mail.smtp.host=
+mail.smtp.host=localhost
 mail.admin=
 mail.from=biomaj at localhost
 mail.user=
diff --git a/debian/python-biomaj3.postrm b/debian/python-biomaj3.postrm
new file mode 100644
index 0000000..a4e2e6e
--- /dev/null
+++ b/debian/python-biomaj3.postrm
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    purge)
+    # Remove generated data and migration info
+    if [ -e /var/lib/python-biomaj3 ]; then
+      rm -rf /var/lib/python-biomaj3
+    fi
+    if [ -e /var/log/python-biomaj3 ]; then
+    rm -rf /var/log/python-biomaj3
+    fi
+    if [ -e /var/cache/python-biomaj3 ]; then
+    rm -rf /var/cache/python-biomaj3
+    fi
+    ;;
+    remove|upgrade|failed-upgrade|abort-install|disappear)
+    echo "Warning, BioMAJ database in Mongodb is not deleted by process removal."    ;;
+    abort-upgrade)
+    ;;
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
+
diff --git a/debian/python3-biomaj3.postrm b/debian/python3-biomaj3.postrm
new file mode 100644
index 0000000..e0f369f
--- /dev/null
+++ b/debian/python3-biomaj3.postrm
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    purge)
+    # Remove generated data and migration info
+    if [ -e /var/lib/python3-biomaj3 ]; then
+      rm -rf /var/lib/python3-biomaj3
+    fi
+    if [ -e /var/log/python3-biomaj3 ]; then
+    rm -rf /var/log/python3-biomaj3
+    fi
+    if [ -e /var/cache/python3-biomaj3 ]; then
+    rm -rf /var/cache/python3-biomaj3
+    fi
+    ;;
+    remove|upgrade|failed-upgrade|abort-install|disappear)
+    echo "Warning, BioMAJ database in Mongodb is not deleted by process removal."    ;;
+    abort-upgrade)
+    ;;
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/python-biomaj3.git



More information about the debian-med-commit mailing list